#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_with	ndf	# build package with NDF support
%bcond_with	gsd	# build package with GSD support
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Astro
%define		pnam	FITS-Header
Summary:	Astro::FITS::Header Perl module - a FITS header
Summary(pl.UTF-8):	Moduł Perla Astro::FITS::Header - nagłówek FITS
Name:		perl-Astro-FITS-Header
Version:	3.07
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a9795ecc74269419340e900018a5840
%if %{with tests}
BuildRequires:	perl-Astro-FITS-CFITSIO >= 1.01
%endif
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-base >= 5.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::Header and associated sub-classes are tools for reading,
modifying and then writing out FITS standard header blocks to FITS and
NDF files.

%description -l pl.UTF-8
Astro::FITS::Header i stowarzyszone z nim podklasy stanowią narzędzie
służące do odczytu bloków nagłówków zgodnych ze standardem FITS w
plikach FITS i NDF, a także do modyfikacji i zapisu tych bloków.

%package CFITSIO
Summary:	Astro::FITS::Header::CFITSIO - manipulates FITS headers from a FITS file
Summary(pl.UTF-8):	Astro::FITS::Header::CFITSIO - manipulowanie nagłówkami FITS pliku FITS
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-Astro-FITS-CFITSIO >= 1.01

%description CFITSIO
Astro::FITS::Header::CFITSIO module makes use of the
Astro::FITS::CFITSIO module to read and write directly to a FITS HDU.

%description CFITSIO -l pl.UTF-8
Moduł Astro::FITS::Header::CFITSIO dokonuje bezpośredniego odczytu i
zapisu FITS HDU za pomocą modułu Astro::FITS::CFITSIO.

%package NDF
Summary:	Astro::FITS::Header::NDF - manipulate FITS headers from NDF files
Summary(pl.UTF-8):	Astro::FITS::Header::NDF - manipulowanie nagłówkami FITS plików NDF
Group:		Development/Languages/Perl
# only for install dirs ?
Requires:	%{name} = %{version}-%{release}
Requires:	perl-NDF >= 1.42

%description NDF
Astro::FITS::Header::NDF module makes use of the Starlink NDF module
to read and write to and NDF FITS extension or to a ".HEADER" block in
an HDS container file.

%description NDF -l pl.UTF-8
Moduł Astro::FITS::Header::NDF odczytuje i zapisuje rozszerzenie NDF
FITS lub blok ".HEADER" pliku pojemnika HDS za pomocą modułu Starlink
NDF.

%package GSD
Summary:	Astro::FITS::Header::GSD - manipulate FITS headers from GSD files
Summary(pl.UTF-8):	Astro::FITS::Header::GSD - manipulowanie nagłówkami FITS plików GSD
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description GSD
Astro::FITS::Header::GSD module makes use of the Starlink GSD module
to read from a GSD header.

%description GSD -l pl.UTF-8
Moduł Astro::FITS::Header::GSD odczytuje nagłówek GSD za pomocą modułu
Starlink GSD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	prefix=%{_prefix} \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%dir %{perl_vendorlib}/Astro/FITS
%{perl_vendorlib}/Astro/FITS/Header.pm
%dir %{perl_vendorlib}/Astro/FITS/Header
%{perl_vendorlib}/Astro/FITS/Header/Item*
%{perl_vendorlib}/Astro/FITS/Header/AST.pm
%{_mandir}/man3/Astro::FITS::Header.*
%{_mandir}/man3/Astro::FITS::Header::Item*
%{_mandir}/man3/Astro::FITS::Header::AST.3pm*

%files CFITSIO
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/CFITSIO.pm
%{_mandir}/man3/*CFITSIO*

%if %{with ndf}
%files NDF
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/NDF.pm
%{_mandir}/man3/*NDF*
%endif

%if %{with gsd}
%files GSD
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/GSD.pm
%{_mandir}/man3/*GSD*
%endif
%changelog
* Thu Jun 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Astro-FITS-Header.git;a=log;h=master

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 408fefc
- disable GSD and NDF support (required modules missing)
- rel 2

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> dc55b51
- up to 3.07

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 4199769
- updated to 3.01
- adapterized

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4e7f8d0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0d23e9b
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2be8f4b
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> c965312
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> d6d611d
- strict internal deps, release 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> f0321fc
- fixed perl-devel BR

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> 422ee09
- license fixes

* Sun Nov 16 2003 Jakub Bogusz <qboosh@pld-linux.org> 0b6830d
- updated to 2.8.1
- BR+R: perl 5.8.2 (perl 5.8.0 crashed on tests with stack overflow and SEGV)

* Sun Nov 02 2003 Jakub Bogusz <qboosh@pld-linux.org> 923b95b
- build with NDF and GSD by default

* Sat Nov 01 2003 Jakub Bogusz <qboosh@pld-linux.org> f87fdde
- updated to 2.8.0, new-style bconds, BR perl-Astro-FITS-CFITSIO for tests

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> e9766a5
- spaces -> tab

* Thu Sep 04 2003 Adam Gołębiowski <adamg@pld-linux.org> 291ec86
- updated to 2.7.1

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 5133b4f
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jul 03 2003 ankry <ankry@pld-linux.org> e192cb8
- separate and disble -GSD subpackage, cleaning
- rel. 3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> bca1f00
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4efe055
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 24958f6
- BR: perl-devel; do not BR: perl

